#include <RH_ASK.h>

#define SPEED         (uint16_t)2000
#define RX_PIN        (uint8_t)11
#define TX_PIN        (uint8_t)12
#define PTT_PIN       (uint8_t)10
#define PTT_INVERTED  false
#define DAT_FN        A0
#define LED_FN        2

/*
  Создаём экземпляр класса RH_ASK передатчика
*/
RH_ASK driver(SPEED, RX_PIN, TX_PIN, PTT_PIN, PTT_INVERTED);

void setup() {
  
  Serial.begin(9600);
 
  if (! driver.init()) {
    Serial.println(F("RF init failed!"));
    while (true) {
      delay(1);
    }
  }
  
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(LED_FN, OUTPUT);
  pinMode(DAT_FN, INPUT);
}

void loop() {
  /*
    Буфер данных для отправки
  */
  uint8_t data[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};

  digitalWrite(LED_BUILTIN, LOW);
  digitalWrite(LED_FN, HIGH);
  if (digitalRead(DAT_FN) == 0) {
    digitalWrite(LED_FN, LOW);
    driver.send(data,  4);
    driver.waitPacketSent();
    driver.send(data,  4);
    driver.waitPacketSent();
    driver.send(data,  4);
    driver.waitPacketSent();
    delay(500);
    digitalWrite(LED_FN, HIGH);
  }
  digitalWrite(LED_BUILTIN, HIGH);

}
